/*****************************************************************************
 *                                                                           *
 *        **********                                                         *
 *       ************                                                        *
 *      ***        ***                                                       *
 *      ***   +++   ***                                                      *
 *      ***   + +   ***                                                      *
 *      ***   +                            CHIPCON CC1010                    *
 *      ***   + +   ***                   HAL - GetPortBit                   *
 *      ***   +++   ***                                                      *
 *      ***       ***                                                        *
 *       ***********                                                         *
 *        *********                                                          *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 *****************************************************************************
 * Author:              ROH                                                  *
 *****************************************************************************
 * Revision history:                                                         *
 *                                                                           *
 * $Log: GetPortBit.c,v $
 * Revision 1.1  2002/10/14 13:04:32  tos
 * Initial version in CVS.
 *
 *                                                                           *
 ****************************************************************************/

#include <chipcon/hal.h>
//----------------------------------------------------------------------------
// Functions which allow procedural or indirect access to ports.
        // Sets and gets data bitwise
byte halGetPortBit(byte portNum, byte bitNum) {
    byte mask=(1<<bitNum);

    switch (portNum) {
        case 0: 	return !!(P0&mask);
        case 1: 	return !!(P1&mask);
        case 2: 	return !!(P2&mask);
        case 3: 	return !!(P3&mask);
        default: 	return 0;
    }    
}
