/*****************************************************************************
 *                                                                           *
 *        **********                                                         *
 *       ************                                                        *
 *      ***        ***                                                       *
 *      ***   +++   ***                                                      *
 *      ***   + +   ***                                                      *
 *      ***   +                            CHIPCON CC1010                    *
 *      ***   + +   ***                   HAL - SetPortDir                   *
 *      ***   +++   ***                                                      *
 *      ***       ***                                                        *
 *       ***********                                                         *
 *        *********                                                          *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 *****************************************************************************
 * Author:              ROH                                                  *
 *****************************************************************************
 * Revision history:                                                         *
 *                                                                           *
 * $Log: SetPortDir.c,v $
 * Revision 1.1  2002/10/14 13:04:36  tos
 * Initial version in CVS.
 *
 *                                                                           *
 ****************************************************************************/

#include <chipcon/hal.h>
//----------------------------------------------------------------------------
// Functions and macros which allow indirect or procedural access
// to port direction registers.
        // Sets direction of entire port
void halSetPortDir(byte portNum, byte direction) {
    direction=0-(!!(direction));
    switch (portNum) {
        case 0: 	P0DIR=direction; break;
        case 1: 	P1DIR=direction; break;
        case 2: 	P2DIR=direction; break;
        case 3: 	P3DIR=direction; break;
        default:	break;
    }    
}
//----------------------------------------------------------------------------
