/*****************************************************************************
 *                                                                           *
 *        **********                                                         *
 *       ************                                                        *
 *      ***        ***                                                       *
 *      ***   +++   ***                                                      *
 *      ***   + +   ***                                                      *
 *      ***   +                            CHIPCON CC1010                    *
 *      ***   + +   ***                    HAL - GetPort                     *
 *      ***   +++   ***                                                      *
 *      ***       ***                                                        *
 *       ***********                                                         *
 *        *********                                                          *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 *****************************************************************************
 * Author:              ROH                                                  *
 *****************************************************************************
 * Revision history:                                                         *
 *                                                                           *
 * $Log: GetPort.c,v $
 * Revision 1.1  2002/10/14 13:04:31  tos
 * Initial version in CVS.
 *
 *                                                                           *
 ****************************************************************************/

#include <chipcon/hal.h>
//----------------------------------------------------------------------------
// Functions which allow procedural or indirect access to ports.
        // Sets and gets data for entire port

byte halGetPort(byte portNum) {
    switch (portNum) {
        case 0: 	return P0;
        case 1: 	return P1;
        case 2: 	return P2;
        case 3: 	return P3;
        default: 	return 0;
    }    
}
