/*****************************************************************************
 *                                                                           *
 *        **********                                                         *
 *       ************                                                        *
 *      ***        ***                                                       *
 *      ***   +++   ***                                                      *
 *      ***   + +   ***                                                      *
 *      ***   +                            CHIPCON CC1010                    *
 *      ***   + +   ***                     HAL - SetPort                    *
 *      ***   +++   ***                                                      *
 *      ***       ***                                                        *
 *       ***********                                                         *
 *        *********                                                          *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 *****************************************************************************
 * Author:              ROH                                                  *
 *****************************************************************************
 * Revision history:                                                         *
 *                                                                           *
 * $Log: SetPort.c,v $
 * Revision 1.1  2002/10/14 13:04:35  tos
 * Initial version in CVS.
 *
 *                                                                           *
 ****************************************************************************/

#include <chipcon/hal.h>
//----------------------------------------------------------------------------
// Functions which allow procedural or indirect access to ports.
        // Sets and gets data for entire port
void halSetPort(byte portNum, byte dataByte)  {
    switch (portNum) {
        case 0: 	P0=dataByte; break;
        case 1: 	P1=dataByte; break;
        case 2: 	P2=dataByte; break;
        case 3: 	P3=dataByte; break;
        default:	break;
    }    
}
